//Custom Data API

Custom Data API

Endpoints

POST /custom_data/app

Creates custom data at the application level.

Input: ~~~json { "app_uuid": "uuid", "name": "theme", "main_key": "dark" } ~~~

Output: ~~~json { "status": "app got added with the value and key" } ~~~

POST /custom_data/org

Creates or updates custom data for an organization.

Input: ~~~json { "org_uuid": "uuid", "name": "industry", "main_key": "tech" } ~~~

Output: ~~~json { "status": "org got added with the value and key" } ~~~

POST /custom_data/user

Creates or updates custom data for a specific user.

Input: ~~~json { "user_uuid": "uuid", "name": "preferences", "main_key": "{...}" } ~~~

Output: ~~~json { "status": "user got added with the value and key" } ~~~

GET /custom_data/user/:orgId/:userId

Retrieves custom data for a user.

Output: ~~~json { "status": [{ "preferences": "{...}" }] } ~~~